function range = NodeXYrange(n,x,y, X2Yratio);  

% X2Yratio is the desired ratio between x_diff and y_diff. If zero, then it is ignored.

x_min=min(x(n));
x_max=max(x(n));
y_min=min(y(n));
y_max=max(y(n));

x_diff=x_max-x_min;
y_diff=y_max-y_min;

%ratio = x_diff/y_diff

if(X2Yratio>0)
    ExpandX=(max(x_diff, y_diff*X2Yratio) - x_diff)/2;
    ExpandY=(max(y_diff, x_diff/X2Yratio) - y_diff)/2;
    
    x_min=x_min-ExpandX;
    x_max=x_max+ExpandX;
    y_min=y_min-ExpandY;
    y_max=y_max+ExpandY;
    
    x_diff=x_max-x_min;
    y_diff=y_max-y_min;
    
 %   ratio = x_diff/y_diff
    
end

range=[x_min, x_max, y_min, y_max];


